use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize, Default)]
pub struct ModConfiguration {
    pub mod_id: String,
    pub mod_name: String,
    pub mod_description: String,
    pub mod_version: String,

    pub include_audio: bool,
    pub include_data: bool,
    pub include_fonts: bool,
    pub include_icon: bool,
    pub include_img: bool,
    pub include_plugins: bool,
    pub include_languages: bool,
    pub include_maps: bool,
    pub include_movies: bool
}